diff --git a/tests/p_which/0-install_which.sh b/tests/p_which/0-install_which.sh
new file mode 100755
index 0000000..6e678c9
--- /dev/null
+++ b/tests/p_which/0-install_which.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+# Author: Alice Kaerast <alice@kaerast.info>
+
+t_Log "$0 - installing which"
+t_InstallPackage which
diff --git a/tests/p_which/which_basic.sh b/tests/p_which/which_basic.sh
new file mode 100755
index 0000000..49e3d36
--- /dev/null
+++ b/tests/p_which/which_basic.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+# Author: Alice Kaerast <alice@kaerast.info>
+
+t_log "Checking which can find itself"
+/usr/bin/which which | grep -q "/usr/bin/which"
+t_CheckExitStatus $?